Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008374 [DCSS] Implementables minor N/A 2014-04-12 20:17 2014-12-21 07:24
Reporter chris View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008374: Display runed doors in Ctrl-O dungeon overview
Description The dungeon overview (Ctrl-O, dgn-overview.cc) could be improved by adding another section: list of runed doors by location, entries being removed when the runed door is opened.
It might be possible to combine this with general level notes as exclusions/unique annotations already do.
Additional Information
Tags No tags attached.
Attached Files ? file icon runed-door-corruption-overview.patch [^] (4,587 bytes) 2014-11-16 20:21 [Show Content]

- Relationships

-  Notes
(0027764)
ebering (developer)
2014-11-16 20:23

Attached patch fixes this and also 8375.

Tracking runed doors more precisely (like exclusions) has some headaches: multi-cell doors; these are especially obnoxious in that a player could see one end and then the other end (without knowing they are connected) and it would be an information leak to annotate "1 runed door" in this case.
(0027773)
wheals (administrator)
2014-11-17 00:50

Applied in 0.16-a0-2324-g67aa517; I see your points about the difficulty of making it right in the case of multiple ones / opened ones, and it's probably good that the player can remove it, too.
(0028113)
chris (updater)
2014-12-21 07:24

Could the annotation at least be cleared when you fully explored the level in question?

- Issue History
Date Modified Username Field Change
2014-04-12 20:17 chris New Issue
2014-04-12 20:17 chris Category Bug Report => Implementables
2014-05-04 03:52 MarvinPA Issue Monitored: MarvinPA
2014-05-09 20:56 MarvinPA Issue End Monitor: MarvinPA
2014-11-16 20:21 ebering File Added: runed-door-corruption-overview.patch
2014-11-16 20:23 ebering Note Added: 0027764
2014-11-17 00:50 wheals Note Added: 0027773
2014-11-17 00:50 wheals Status new => resolved
2014-11-17 00:50 wheals Fixed in Branch => 0.16 development branch
2014-11-17 00:50 wheals Resolution open => done
2014-11-17 00:50 wheals Assigned To => wheals
2014-12-21 07:24 chris Note Added: 0028113


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker